html {
    scroll-behavior: smooth;
}

body {
    background-color: var(--dark-theme-bg);
}

.hiro-section{
    width: 100%;
    margin: 0 auto;
    max-width: 1920px;
    padding: 80px 60px 100px;
    position: relative;
    background-color: var(--d-dark-60);
    height: calc(100dvh - 72px);
    display: flex;
    align-items: end;

    border-bottom: 2px solid;
    border-image-source: radial-gradient(47.79% 104.84% at 50% 50%, #0769E8 0%, #002887 100%);
    border-image-slice: 2;
}

.hiro-section .main-h1{
    color: var(--n-white);
}

.hiro-section .subtitle-semibold{
    color: var(--n-light-blue-BG);
    margin-top: 20px;
    margin-bottom: 48px;
}

.hiro-section-content{
    max-width: 1100px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 0;
    position: relative;
}

.hiro-section .background-layout{
    position:absolute;
    top: -72px;
    left: 0;
    width: 100%;
    height: calc(100% + 72px);
}

.hiro-section .background-layout::after{
    position:absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: '';
    display: block;
    background: linear-gradient(180deg, rgba(0, 35, 118, 0.00) 52.13%, #002989 100%), linear-gradient(270deg, rgba(1, 11, 37, 0.00) 39.34%, rgba(1, 11, 37, 0.80) 100%);
}

.hiro-section .background-layout video{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

@media (max-width: 1919px) {
    .hiro-section{
        padding: 80px 60px;
    }

    .hiro-section-content{
        max-width: 800px;
    }

    .hiro-section .subtitle-semibold{
        margin-bottom: 40px;
    }
}

@media (max-width: 1439px) {
    .hiro-section{
        padding: 80px 40px 60px;
    }

    .hiro-section-content{
        max-width: 720px;
    }
}

@media (max-width: 1079px) {
    .hiro-section{
        height: fit-content;
        max-height: unset;
        padding: 0;
        display: flex;
        flex-direction: column;
        align-items: stretch;
    }

    .hiro-section-content{
        max-width: unset;
        padding: 0 40px 60px;
        background: linear-gradient(180deg, #011957 0%, #002887 100%);
    }

    .hiro-section .background-layout{
        position: relative;
        top: unset;
        left: unset;
        height: auto;
        flex: 1;
        max-height: 528px;
    }

    .hiro-section .background-layout video{
        position: relative;
        top: -72px;
        height: 600px;
    }

    .hiro-section .background-layout::after{
        bottom: -1px;
        top: -72px;
        height: 600px;
        background: linear-gradient(180deg, rgba(1, 25, 87, 0.00) 52.13%, #011957 100%), linear-gradient(270deg, rgba(1, 11, 37, 0.00) 39.34%, rgba(1, 11, 37, 0.80) 100%);
    }
}

@media (max-width: 577px) {
    .hiro-section-content{
        padding: 0 16px 60px;
        background: linear-gradient(180deg, #011957 0%, #002887 100%);
    }

    .hiro-section .background-layout {
        position: relative;
        top: unset;
        left: unset;
        height: 252px;
        flex: 1;
        max-height: 252px;
    }

    .hiro-section .background-layout video{
        top: -68px;
        height: 320px;
    }

    .hiro-section .background-layout::after{
        top: -68px;
        height: 320px;
        background: linear-gradient(180deg, rgba(1, 25, 87, 0.00) 52.13%, #011957 100%), linear-gradient(270deg, rgba(1, 11, 37, 0.00) 39.34%, rgba(1, 11, 37, 0.80) 100%);
    }
}

@media (orientation: landscape) and (max-height: 1079px) and (max-width: 1079px){
    .hiro-section{
        justify-content: end;
    }

    .hiro-section .background-layout{
        position: absolute;
        top: -72px;
        left: 0;
        width: 100%;
        height: calc(100% + 72px);
    }

    .hiro-section-content {
        max-width: 600px;
        padding: 0 0 40px 40px;
        background: transparent;
    }

    .hiro-section .subtitle-semibold{
        margin-top: 16px;
        margin-bottom: 32px;
    }
}

@media (orientation: landscape) and (max-height: 577px) and (max-width: 1079px){
    .hiro-section-content {
        max-width: 420px;
        padding: 0 0 32px 16px;
        background: transparent;
    }

    .hiro-section .main-h1{
        font-size: 32px;
        font-style: normal;
        font-weight: 700;
        line-height: 42px; /* 131.25% */
    }

    .hiro-section .subtitle-semibold{
        font-size: 18px;
        font-style: normal;
        font-weight: 600;
        line-height: 28px; /* 155.556% */
    }
}